// Module    : $RCSfile: GUIModelException.java,v $
// Version   : $Revision: 0.0 $  $Author: pharms $  $Date: 14.08.2012 $
// Project   : quest-core-events
// Creation  : 2012 by pharms
// Copyright : Patrick Harms, 2012
package de.ugoe.cs.quest.eventcore.guimodel;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 14.08.2012$
 * @author 2012, last modified by $Author: pharms$
 */
public class GUIModelException extends Exception {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * TODO: comment
     *
     */
    public GUIModelException() {
        super();
    }

    /**
     * TODO: comment
     *
     * @param message
     */
    public GUIModelException(String message) {
        super(message);
    }

    /**
     * TODO: comment
     *
     * @param cause
     */
    public GUIModelException(Throwable cause) {
        super(cause);
    }

    /**
     * TODO: comment
     *
     * @param message
     * @param cause
     */
    public GUIModelException(String message, Throwable cause) {
        super(message, cause);
    }

}
